<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./src/styles/page1.css" id="stylesheet_page_1">
    <link rel="stylesheet" href="./src/styles/page2.css" id="stylesheet_page_2">
    <link rel="stylesheet" href="./src/styles/page3.css" id="stylesheet_page_3">
    <link rel="stylesheet" href="./src/styles/page4.css" id="stylesheet_page_4">
    <link rel="stylesheet" href="./src/styles/page5.css" id="stylesheet_page_5">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap" rel="stylesheet">
    <title>Multi-Step-Form</title>

</head>
<body>

    <section class="main_container" id="form_layout_1" >
        <div class="main_left_container">
            <div class="left_container">
                
                <div class="steps"> 
                    <span class="count" id="active"> 1 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 1 </span>
                        <span class="step_info">YOUR INFO</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count"> 2 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 2 </span>
                        <span class="step_info">SELECT PLAN</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count"> 3 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 3 </span>
                        <span class="step_info">ADD-ONS</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count"> 4 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 4 </span>
                        <span class="step_info">SUMMARY</span>
                    </div>
                </div>
            </div>

        </div>

        <div class="main_right_container">
            <div class="right_container">

                <div class="heading">
                    <h1>Personal info</h1>
                    <h4>Please provide your name, email address, and phone number.</h4>
                </div>
    
                <form>
                    <div class="label_holder">
                        <label >Name</label>
                        <label style="display:none; color: red;" class="label_message_name">This field is required</label>
                    </div>
                    <input type="text" placeholder="e.g. Stephen King" id="name_input" required>
                    
                    <div class="label_holder">
                        <label>Email Address</label>
                        <label style="display: none; color:red" class="label_message_email">This Field is required</label>
                    </div>
                    <input type="email" placeholder="e.g. stephenking@lorem.com" id="email_input" required>
    
                    <div class="label_holder">
                        <label>Phone Number</label>
                        <label style="display: none; color: red;" class="label_message_phone">This Field is required</label>
                    </div>
                    <input type="text" placeholder="e.g. +1 234 567 890" id = "phone_number" required>
    
                </form>
    
                <div class="next_step_btn_page1">
                    <!-- href="./page2.html" -->
                    <a id="form_btn" >Next Step</a>
                </div>
            </div>
        </div>
    </section>

    <section class="main_container" id="form_layout_2" style="display: none;">
        <div class="main_left_container">
            <div class="left_container">
                
                <div class="steps"> 
                    <span class="count" > 1 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 1 </span>
                        <span class="step_info">YOUR INFO</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" id="active"> 2 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 2 </span>
                        <span class="step_info">SELECT PLAN</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count"> 3 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 3 </span>
                        <span class="step_info">ADD-ONS</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count"> 4 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 4 </span>
                        <span class="step_info">SUMMARY</span>
                    </div>
                </div>
            </div>

        </div>

        <div class="main_right_container">
            <div class="right_container">

                <div class="heading">
                    <h1>Select your plan</h1>
                    <h4>You have the option of monthly or yearly billing.</h4>
                </div>
    
                <section class="plans_section">
                    <div class="all_plans_container">

                        <div class="plan_container" id="arcade" tabindex="0">
                            <svg class="svg_icon" xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 40 40"><g fill="none" fill-rule="evenodd"><circle cx="20" cy="20" r="20" fill="#FFAF7E"/><path fill="#FFF" fill-rule="nonzero" d="M24.995 18.005h-3.998v5.998h-2v-5.998H15a1 1 0 0 0-1 1V29a1 1 0 0 0 1 1h9.995a1 1 0 0 0 1-1v-9.995a1 1 0 0 0-1-1Zm-5.997 8.996h-2v-1.999h2v2Zm2-11.175a2.999 2.999 0 1 0-2 0v2.18h2v-2.18Z"/></g></svg>
                            <div class="plan_information" id="arcade_plan_information">
                                <span>Arcade</span>
                                <span class="plan_price" id="arcade_plan_price">$9/mo</span>
                            </div>
                        </div>
                        <div class="plan_container" id="advanced" tabindex="0">
                            <svg class="svg_icon" xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 40 40"><g fill="none" fill-rule="evenodd"><circle cx="20" cy="20" r="20" fill="#F9818E"/><path fill="#FFF" fill-rule="nonzero" d="M25.057 15H14.944C12.212 15 10 17.03 10 19.885c0 2.857 2.212 4.936 4.944 4.936h10.113c2.733 0 4.943-2.08 4.943-4.936S27.79 15 25.057 15ZM17.5 20.388c0 .12-.108.237-.234.237h-1.552v1.569c0 .126-.138.217-.259.217H14.5c-.118 0-.213-.086-.213-.203v-1.583h-1.569c-.126 0-.217-.139-.217-.26v-.956c0-.117.086-.213.202-.213h1.584v-1.554c0-.125.082-.231.203-.231h.989c.12 0 .236.108.236.234v1.551h1.555c.125 0 .231.083.231.204v.988Zm5.347.393a.862.862 0 0 1-.869-.855c0-.472.39-.856.869-.856.481 0 .87.384.87.856 0 .471-.389.855-.87.855Zm1.9 1.866a.86.86 0 0 1-.87-.852.86.86 0 0 1 .87-.855c.48 0 .87.38.87.855a.86.86 0 0 1-.87.852Zm0-3.736a.862.862 0 0 1-.87-.854c0-.472.39-.856.87-.856s.87.384.87.856a.862.862 0 0 1-.87.854Zm1.899 1.87a.862.862 0 0 1-.868-.855c0-.472.389-.856.868-.856s.868.384.868.856a.862.862 0 0 1-.868.855Z"/></g></svg>
                            <div class="plan_information" id="advanced_plan_information">
                                <span>Advanced</span>
                                <span class="plan_price" id="advanced_plan_price">$12/mo</span>
                            </div>
                        </div>
                        <div class="plan_container" id="pro" tabindex="0">
                            <svg class="svg_icon" xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 40 40"><g fill="none" fill-rule="evenodd"><circle cx="20" cy="20" r="20" fill="#483EFF"/><path fill="#FFF" fill-rule="nonzero" d="M26.666 13H13.334A3.333 3.333 0 0 0 10 16.333v7.193a3.447 3.447 0 0 0 2.14 3.24c1.238.5 2.656.182 3.56-.8L18.52 23h2.96l2.82 2.966a3.2 3.2 0 0 0 3.56.8 3.447 3.447 0 0 0 2.14-3.24v-7.193A3.333 3.333 0 0 0 26.666 13Zm-9.333 6H16v1.333a.667.667 0 0 1-1.333 0V19h-1.333a.667.667 0 0 1 0-1.334h1.333v-1.333a.667.667 0 1 1 1.333 0v1.333h1.333a.667.667 0 1 1 0 1.334Zm7.333 2a2.667 2.667 0 1 1 0-5.333 2.667 2.667 0 0 1 0 5.333ZM26 18.333a1.333 1.333 0 1 1-2.667 0 1.333 1.333 0 0 1 2.667 0Z"/></g></svg>
                            <div class="plan_information" id="pro_plan_information">
                                <span>Pro</span>
                                <span class="plan_price" id="pro_plan_price">$15/mo</span>
                            </div>
                        </div>

                    </div>
                    <div class="toggle_container">
                        <span class="monthly">Monthly</span>
                        <label class="switch" >
                            <input type="checkbox" id="checkbox_btn">
                            <span class="slider round"></span>
                        </label>
                        <span class="yearly">Yearly</span>
                    </div>


                </section>
    
                <div class="next_step_btn"> 
                    <a id="btn_backward_page2" > Go Back</a>
                    <a id="btn_forward_page2" >Next Step</a>
                </div>
            </div>
        </div>
    </section>

    <section class="main_container" id="form_layout_3" style="display: none;">
        <div class="main_left_container">
            <div class="left_container">
                
                <div class="steps"> 
                    <span class="count" > 1 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 1 </span>
                        <span class="step_info">YOUR INFO</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" > 2 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 2 </span>
                        <span class="step_info">SELECT PLAN</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" id="active"> 3 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 3 </span>
                        <span class="step_info">ADD-ONS</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count"> 4 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 4 </span>
                        <span class="step_info">SUMMARY</span>
                    </div>
                </div>
            </div>

        </div>

        <div class="main_right_container">
            <div class="right_container">

                <div class="heading">
                    <h1>Pick add-ons</h1>
                    <h4>Add-ons help enhance your gaming experience.</h4>
                </div>
                
                <section class="add_on_container">
                    <div class="card">

                        <div class="left_add_on">

                            <input type="checkbox" id="add_on_checkbox" >
                            <div class="features">
                                <h4>Online service</h4>
                                <span> Access to multiplayer games</span>
                            </div>
    
                        </div>

                        <span class="feature_price">+$1/mo</span>
                    </div>

                    <div class="card">
                        <div class="left_add_on">

                            <input type="checkbox" id="add_on_checkbox" >
                            <div class="features">
                                <h4>Larger storage</h4>
                                <span> Extra 1TB of cloud save</span>
                            </div>
                        </div>

                        <span class="feature_price">+$2/mo</span>
                    </div>

                    <div class="card">
                        <div class="left_add_on">
                            <input type="checkbox" id="add_on_checkbox" >
                            <div class="features">
                                <h4>Customizable profile</h4>
                                <span> Custom theme on your profile</span>
                            </div>

                        </div>

                        <span class="feature_price">+$2/mo</span>
                    </div>

                </section>
    
                <div class="next_step_btn"> 
                    <a id="btn_backward_page3" > Go Back</a>
                    <a id="btn_forward_page3" >Next Step</a>
                </div>
            </div>
        </div>
    </section>

    <section class="main_container" id="form_layout_4" style="display: none;">
        <div class="main_left_container">
            <div class="left_container">
                
                <div class="steps"> 
                    <span class="count" > 1 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 1 </span>
                        <span class="step_info">YOUR INFO</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" > 2 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 2 </span>
                        <span class="step_info">SELECT PLAN</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" > 3 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 3 </span>
                        <span class="step_info">ADD-ONS</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" id="active"> 4 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 4 </span>
                        <span class="step_info">SUMMARY</span>
                    </div>
                </div>
            </div>

        </div>

        <div class="main_right_container">
            <div class="right_container">

                <div class="heading">
                    <h1>Finishing up</h1>
                    <h4>Double-check everything looks OK before confirming.</h4>
                </div>
                
                <div class="pricing_container">

                    <div class="plan_selected_div" id="plan_selected_div">
    
                        <div class="change_plan">
                            <a href="./page2.html">Change</a>
                        </div>
                    </div>
                    <span class="balancer">
                        <span class="balancing_span"></span>
                    </span>
                    <div class="features_added_div" id="features_added_div">

                    </div>
                    <div class="total_cost_div" id="total_cost_div">

                    </div>

                </div>

                
                <div class="next_step_btn"> 
                    <a id="btn_backward_page4" > Go Back</a>
                    <a id="btn_forward_page4" >Confirm</a>
                </div>
            </div>
        </div>
    </section>

    <section class="main_container" id="form_layout_5" style="display: none;">
        <div class="main_left_container">
            <div class="left_container">
                
                <div class="steps"> 
                    <span class="count" > 1 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 1 </span>
                        <span class="step_info">YOUR INFO</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" > 2 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 2 </span>
                        <span class="step_info">SELECT PLAN</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" > 3 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 3 </span>
                        <span class="step_info">ADD-ONS</span>
                    </div>
                </div>
    
                <div class="steps"> 
                    <span class="count" id="active"> 4 </span>
                    <div class="step_information">
                        <span class="step_count"> STEP 4 </span>
                        <span class="step_info">SUMMARY</span>
                    </div>
                </div>
            </div>

        </div>

        <div class="main_right_container">
            <div class="right_container">

                <div class="final_page">
                    <svg xmlns="http://www.w3.org/2000/svg" width="80" height="80" viewBox="0 0 80 80"><g fill="none"><circle cx="40" cy="40" r="40" fill="#F9818E"/><path fill="#E96170" d="M48.464 79.167c.768-.15 1.53-.321 2.288-.515a40.04 40.04 0 0 0 3.794-1.266 40.043 40.043 0 0 0 3.657-1.63 40.046 40.046 0 0 0 12.463-9.898A40.063 40.063 0 0 0 78.3 51.89c.338-1.117.627-2.249.867-3.391L55.374 24.698a21.6 21.6 0 0 0-15.332-6.365 21.629 21.629 0 0 0-15.344 6.365c-8.486 8.489-8.486 22.205 0 30.694l23.766 23.775Z"/><path fill="#FFF" d="M40.003 18.333a21.58 21.58 0 0 1 15.31 6.351c8.471 8.471 8.471 22.158 0 30.63-8.47 8.47-22.156 8.47-30.627 0-8.47-8.472-8.47-22.159 0-30.63a21.594 21.594 0 0 1 15.317-6.35Zm9.865 15c-.316.028-.622.15-.872.344l-12.168 9.13-5.641-5.642c-1.224-1.275-3.63 1.132-2.356 2.356l6.663 6.663c.56.56 1.539.63 2.173.156l13.326-9.995c1.122-.816.43-2.993-.956-3.013a1.666 1.666 0 0 0-.17 0Z"/></g></svg>

                    <h1>Thank you!</h1>

                    <p class="description_paragraph">Thanks for confirming your subscription! We hope you have fun
                        using our platform. If you ever need support, please feel free to email us
                        at support@loremgaming.com.
                    </p>
                </div>
                
            </div>
        </div>
    </section>
    
    <script src="./script.js"></script>
</body>
</html>